<?php
$files=scandir(".");
$fn=sizeof($files);
for ($i=0;$i<$fn;$i++) {
$link=$files[$i];

$no=false;
if (is_dir($link) && $link!="." && $link!="..") {
if (file_exists($link."/index.php")) $rlink=$link."/index.php";
else if (file_exists($link."/index.htm")) $rlink=$link."/index.htm";
else $no=true;
if (!$no) {
$fo=fopen($rlink,"r");
$fr=fread($fo,filesize($rlink));
fclose($fo);
$fr=explode("<title>",$fr);
$fr=explode("</title>",$fr[1]);
$title=$fr[0];
$sites.="<a href='".$link."' style='background-image:url(".$link.".png)'>".$title."</a>";
}
}
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3c.org/1999/xhtml">
<head>
<title>Japanese Section</title>
<style type='text/css'>
* {
  margin:0;
  padding:0;
  }

body {
  background:#eee;
  }

#wrapper {
  width:700px;
  margin:0 auto;
  }

#header {
  width:700px;
  height:100px;
  margin-bottom:5px;
  background:#fff url(header.png) no-repeat;
  }

#content {
  width:690px;
  padding:5px 5px 20px 5px;
  background:#fff;
  font:14px arial;
  float:left;
  position:relative;
  }

#apps {
  width:690px;
  float:left;
  margin-bottom:5px;
  }

#apps a:link, #apps a:visited {
  width:211px;
  height:144px;
  margin:0 0 10px 10px;
  padding:3px;
  float:right;
  background:#ddd;
  opacity:.7;
	filter:alpha(opacity=70);
	-moz-opacity:.7;
  display:block;
  color:#0000ff;
  text-decoration:none;
  position:relative;
  text-align:right;
  z-index:2;
  }

#apps a:hover {
  background:#ccc;
  opacity:1;
	filter:alpha(opacity=100);
	-moz-opacity:1;
  color:#0000aa;
  }

h1 {
  font:normal 24px georgia;
  margin:15px 0 10px 0;
  text-align:right;
  border-bottom:1px solid #000;
  }

.i {
  display:inline;
  font-style:italic;
  }

p {
  margin-bottom:4px;
  }

p a:link, p a:visited {
  color:#0000ff;
  text-decoration:none;
  padding:2px;
  }

p a:hover {
  background-color:#eee;
  }
</style>
</head>
<body>
<div id='wrapper'>
<div id='header'></div>
<div id='content'>
<h1>Introduction</h1>
Japanese is an odd language, yet a language spoken by 130 million people. While languages in Europe generally have some similarities, the only thing Japanese has in common with i.e. English is a few loan words. It doesn't have an alphabet like most languages do, but instead it uses a tremendous amount of signs, known as <div class='i'>kanji</div>, <div class='i'>hiragana</div> and <div class='i'>katakana</div>. It's pretty confusing if you don't know Japanese. Which I don't.<br /><br />
Well, I've been fiddling with creating some "web apps" with focus on the Japanese language, and you can find those at this page. I've also put up some links to informative sites which in more detail explain the oddity that is Japanese.

<h1>Web apps</h1>
<div id='apps'>
<?php echo $sites; ?>
</div>
<h1>Links</h1>
<p><a href='http://en.wikipedia.org/wiki/Hiragana'>Wikipedia's article on hiragana. Includes table with all hiragana signs.</a></p>
<p><a href='http://en.wikipedia.org/wiki/Katakana'>Wikipedia's article on katakana. Includes table with all katakana signs.</a></p>
<p><a href='http://www.tanos.co.uk/jlpt/'>Various Japanese learning ressources. Includes link to a great text editor / dictionary called "JWPce".</a></p>
<p><a href='http://www.tokyowithkids.com/fyi/hiragana_chart.html'>A hiragana table for people who doesn't have support for Japanese signs in their browser.</a></p>
<p><a href='http://www.tokyowithkids.com/fyi/katakana_chart.html'>A katakana table for people who doesn't have support for Japanese signs in their browser.</a></p>
<p><a href='http://www.ajalt.org/sj/sit/sit_index.html'>If you're planning on taking a trip to Japan, the situational conversations on this site may be a good start.</a></p>
</div>
</div>
</body>
</html>