<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns='http://www.w3.org/1999/xhtml'>
<head>
    <title>totxt example (3)</title>
    <meta http-equiv='content-type' content='text/html; charset=utf-8' />
    <style type='text/css'>
        * {
            margin: 0;
            padding: 0;
        }
        
        pre.totxt {
            float: left;
            margin: 5px;
        }
        
        pre.totxt.dynamic {
            cursor: default;
        }
        
        pre.totxt.dynamic0:hover {
            background-color: #eee;
        }
        
        pre.totxt.quick_dynamic.dynamic1 {
            background-color: #000;
            color: #fff;
        }
        
        pre.totxt.quick_dynamic.dynamic1:hover {
            background-color: #fff;
            color: #000;
        }
        
        pre.gryxo {
            background: #555 url(vortex-l2.png) center;
            color: #ddd;
        }
        
        pre#first {
            color: #a48008;
        }
    </style>
    <?php if (!$_SERVER['QUERY_STRING']) { ?>
    <script type='text/javascript' src='totxt.js'></script>
    <script type='text/javascript'>
        // The lines below decide various important stuff. Try experimenting.
        totxt_WIDTH = 60 // Line width. Default is 80.
        //totxt_DYNAMIC = 0 // Leaves articles closed, expands on mouseclick
        //totxt_DYNAMIC_SPEED = 500 // Adding/removing lines (in milliseconds)
        //totxt_DYNAMIC_LINES = 3 // The amount of lines to add/remove
        //totxt_QUICK_DYNAMIC = true // Expand/collapse at once or gradually
        //totxt_DEL_XWS = true // Always delete excessive whitespace
        //totxt_HEADER_ALIGN = 0 // Left (normally center)
        //totxt_SUBHEADER_ALIGN = 1 // Center (normally left)
        //totxt_TEXT_ALIGN = 2 // Right (normally left)
        //totxt_CLASSNAME = '2txt' // Classname to recognize
        //totxt_DYNAMIC_CLASSNAME = 'dirasabc' // Classname to recognize
        //totxt_DYNSPEED_CLASSNAME = 'spd' // Normally 'speed'
        //totxt_DYNLINES_CLASSNAME = 'lin' // Normally 'lines'
        //totxt_HALIGN_CLASSNAME = 'hal' // Default: 'halign'
        //totxt_SHALIGN_CLASSNAME = 'shal' // Default: 'shalign'
        //totxt_TALIGN_CLASSNAME = 'tal' // Default: 'talign'
        //totxt_WIDTH_CLASSNAME = 'w' // Instead of 'width'
        //totxt_DELXWS_CLASSNAME = 'delspaces' // std: 'del_excess_whitespace'
        //totxt_QUICK_CLASSNAME = 'q' // Default: 
        //totxt_HEADER_ELEMENT = 'h3' // Normally h1
        //totxt_SUBHEADER_ELEMENT = 'p' // Normally h2
        //totxt_TEXT_ELEMENT = 'div' // Normally p
        window.onload = load_totxt_generator
    </script>
    <?php } ?>
</head>

<body>
    <!-- ARTICLE ONE START -->
    <h1 class='totxt dynamic speed20' id='first'>Nonsense makes more sense</h1>
    <h2>Not to be confused with fish</h2>
    <p><b>4 August 2013</b> -- In a <span style='color: #00ff00'>surprising</span> move this morning, former ex-alien Mr. Umbago has now volunteered for freedom work at the speaker center in the middle of the bus driving from left to right on Wednesdays, right to left on Fridays, and all other directions whenever people feel like it. This has resulted in the loss of several server farms in the midst of the rainy midsommer, and within the monthly year of sun, it has now finally been decided that prices on <i>tickets</i> for sleep walking should not go up. On the contrary, people with doppelgangers should be allowed to walk across the ocean, as long as they remember to bring a bucket to travel to the lake south of the Earth with.</p>
    <p>"This is unfortunate," current foreign affairs pencil adds.</p>
    <!-- ARTICLE ONE END -->
        
    <!-- ARTICLE TWO START -->
    <h1 class='totxt width40 del_excess_whitespace' style='text-transform: uppercase'>Peach takes icecream shop to court</h1>
    <p>
        <b>3 August 2012</b> -- Peach, the company known throughout 
        the world for their iPears, yesterday declared war on a small 
        business. The reason? Trademark infringement. The small 
        icecream cafe known as "iCecreamy" had, unfortunately, 
        used a lowercase <i>i</i> and an uppercase <i>C</i> in 
        their name. This unlucky decision made Peach drag it to 
        court, saying that the name was patented by Peach. The 
        ***cream owner has had no comments so far.<br />
        See also: Peach aquired by aliens
    </p>
     <!-- ARTICLE TWO END -->
     
     <!-- ARTICLE THREE START -->
    <h1 class='totxt width22 dynamic1 quick_dynamic'>&lt; &frac34; = &frac14; &times; 3 &gt;</h1>
    <p>&iquest;&plusmn; &iquest;&plusmn; &iquest;&plusmn; &iquest;&plusmn; &iquest;&plusmn; &iquest;&plusmn; &iquest;&plusmn; &iquest;&plusmn; &iquest;&plusmn; <i>&iquest;</i>&plusmn; &iquest;&plusmn; &iquest;&plusmn; &iquest;&plusmn; &iquest;&plusmn; &iquest;&plusmn; &iquest;&plusmn; &iquest;&plusmn; &iquest;&plusmn; &iquest;&plusmn; <b>&iquest;&plusmn; &iquest;&plusmn;</b> &iquest;&plusmn; &iquest;&plusmn; &iquest;&plusmn; &iquest;&plusmn; &iquest;&plusmn; &iquest;&plusmn; &iquest;&plusmn; &iquest;&plusmn; &iquest;&plusmn; &iquest;&plusmn; &iquest;&plusmn; &iquest;&plusmn; &iquest;&plusmn; &iquest;&plusmn; &iquest;&plusmn;</p>
     <!-- ARTICLE THREE END -->
     
     <!-- DEFY float: left -->
     <div style='clear: both'></div>
     
     <!-- ARTICLE FOUR START -->
    <h1 class='totxt width90 halign0 shalign2 dynamic1 lines2 gryxo'>HTML codes</h1>
    <h2>You can collapse and expand this window.</h2>
    <p>
<b>The following is made to confuse:</b><br />
&lt;a&nbsp;href='http://example.org/'&gt;<a href='http://example.org/'>http://example.org/</a>&lt;/a&gt;<br />
&lt;span style='color: magenta'&gt;<span style='color: magenta'>Magenta-coloured text</span>&lt;/span&gt;
</p>
     <!-- ARTICLE FOUR END -->

     <!-- ARTICLE FIVE START -->
    <h1 class='totxt width33 talign1'>aHA!</h1>
    <p>2 + 2 = 2 &middot; 2</p>
     <!-- ARTICLE FIVE END -->
</body>

</html>
