#!/usr/bin/python

# I didn't even bother commenting the code, so I'm not going to put it under a
# license either. This is trivial stuff, so I doubt any evil people would
# choose to misuse this code.

import sys, os

if len(sys.argv) > 1 and (sys.argv[1] == '-h' or sys.argv[1] == '--help'):
  print "\n\ntodo.py is a simple todo list manager. It only supports adding and deleting\nentries. When specifying no parametres, todo.py will merely list the contents\nof the list. At its first run, todo.py will create a todo list file.\n\nTo add an entry to the list, type the entry as one or more parametres. There is\nno need to escape spaces.\n\nTo delete an entry, type:\n    del <n>\nTo delete several entries, type:\n    del <n1>,<n2>,...,<nn>\nTo delete a list of entries, type:\n    del <n1>-<n2>\n    This will delete n1, n2 and all of the number in between.\nTo delete several lists of entries, type:\n    del <n1>-<n2>,<n3>-<n4>\n\nIt is possible to mix the different ways of deleting. Typing:\n    del <n1>,<n2>-<n3>,<n4>\nis correct.\n\ntodo.py does not support changing priorities (i.e. moving an entry up or down).\n\n\nA cheat:\n    Type:\n        del all\n    to delete all entries! Cool.."
  sys.exit()

try: import cPickle as pickle
except: import pickle

FILE = '/home/niels/Various/todo.pylist'
if not os.path.exists(FILE):
    open(FILE, 'w')

def save():
  global p
  f = open(FILE, 'w')
  pickle.dump(p, f)

def load():
  global p
  f = open(FILE, 'r')
  p = pickle.load(f)

def empty_list(lst):
  spl = lst.split('-')
  global p
  ds = []
  for x in spl:
    if x == '':
      dint = -1
    else:
      try: dint = int(x)
      except: dint = None
    if dint < len(p) and dint > -1:
      ds.append(dint)
  
  if len(ds) > 1:
    if ds[1] == -1:
      ds[1] = len(p) - 1
    ds.sort()
    for i in range(ds[0], ds[1] + 1):
      p[i] = None
    return True
  else:
    return False

if open(FILE, 'r').read() == '':
    p = []
    save()

load()

ok = False
if len(sys.argv) == 3 and sys.argv[1] == 'del':
  ok = True
  try: dint = int(sys.argv[2])
  except: dint = None
  
  if dint < len(p) and dint > -1:
    p.pop(dint)
    save()
  
  elif sys.argv[2] == 'all':
    p = []
    save()
  
  elif sys.argv[2].find(',') != -1:
    ok = False
    a_spl = sys.argv[2].split(',')
    for x in a_spl:
      try: dint = int(x)
      except: dint = None
      if dint < len(p) and dint > -1:
        p[dint] = None
        ok = True
      if not ok and x.find('-') != -1:
        tok = empty_list(x)
        if tok:
          ok = True
    
    while None in p:
      p.remove(None)
    save()
  
  elif sys.argv[2].find('-') != -1:
    ok = empty_list(sys.argv[2])
    if ok:
      while None in p:
        p.remove(None)
      save()
  else:
    ok = False

if not ok:
  arg = sys.argv[1:]
  txt = ''
  for x in arg:
    txt += x + ' '
  txt = txt[:-1]

  if txt:
    p.append(txt)
    save()

load()
l = len(p)
sl = len(str(l - 1))
wlz = lambda x: (sl - len(str(x))) * '0' + str(x)
for i in range(l):
  print wlz(i) + '. ' + p[i]
